/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 支付宝充值回调通知 POST /api/AliPayNotify/AliRechargeNotify */
export async function aliRechargeNotify(options?: API.RequestConfig) {
  return request<any>('/api/AliPayNotify/AliRechargeNotify', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 单笔转账到支付宝账户、单笔转账到银行卡、C2C现金红包、B2C现金红包单据状态变更后触发的通知 POST /api/AliPayNotify/FundTransOrderChangedForRecharge */
export async function fundTransOrderChangedForRecharge(
  body: API.FundOrderChangedInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/AliPayNotify/FundTransOrderChangedForRecharge', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 用户签约结果通知 POST /api/AliPayNotify/NotityPageSign */
export async function notityPageSign(options?: API.RequestConfig) {
  return request<any>('/api/AliPayNotify/NotityPageSign', {
    method: 'POST',
    ...(options || {}),
  });
}
